#include "condition_signal.h"

ZCSignal::ZCSignal()
{
}
ZCSignal::~ZCSignal()
{
}
void ZCSignal::Send()
{
	std::unique_lock<std::mutex> lk(m_mtx);
	m_cond.notify_all();
}
void ZCSignal::Wait()
{
	std::unique_lock<std::mutex> lk(m_mtx);
	m_cond.wait(lk);
}